Loading...
Searching...
No Matches
mongocxx::v1::range_options Class Reference

`#include <mongocxx/v1/range_options.hpp>`

## Description

Options related to range_options queries for Queryable Encryption.

Supported fields include:

- max
- min
- precision
- sparsity
- trim_factor ("trimFactor")

See also
  - Client Side Encryption (MongoDB Specifications)
  - Encrypted Fields and Enabled Queries (MongoDB Manual)

## Public Member Functions

| range_options ()
| Default initialization.
| range_options (range_options &&other) noexcept
| Move constructor.
| range_options (range_options const &other)
| Copy construction.
| ~range_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | max () const
| Return the current "max" field.
range_options & | max (bsoncxx::v1::types::value v)
| Set the "max" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | min () const
| Return the current "min" field.
range_options & | min (bsoncxx::v1::types::value v)
| Set the "min" field.
range_options & | operator= (range_options &&other) noexcept
| Move assignment.
range_options & | operator= (range_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< std::int32_t > | precision () const
| Return the current "precision" field.
range_options & | precision (std::int32_t v)
| Set the "precision" field.
bsoncxx::v1::stdx::optional< std::int64_t > | sparsity () const
| Return the current "sparsity" field.
range_options & | sparsity (std::int64_t v)
| Set the "sparsity" field.
bsoncxx::v1::stdx::optional< std::int32_t > | trim_factor () const
| Return the current "trimFactor" field.
range_options & | trim_factor (std::int32_t v)
| Set the "trimFactor" field.

## Constructor & Destructor Documentation

## ~range_options()

mongocxx::v1::range_options::~range_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## range_options() [1/3]

mongocxx::v1::range_options::range_options | ( | range_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## range_options() [2/3]

mongocxx::v1::range_options::range_options | ( | range_options const & | other | ) |

Copy construction.

## range_options() [3/3]

mongocxx::v1::range_options::range_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## max() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::range_options::max | ( |  | ) | const

Return the current "max" field.

## max() [2/2]

range_options & mongocxx::v1::range_options::max | ( | bsoncxx::v1::types::value | v | ) |

Set the "max" field.

## min() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::range_options::min | ( |  | ) | const

Return the current "min" field.

## min() [2/2]

range_options & mongocxx::v1::range_options::min | ( | bsoncxx::v1::types::value | v | ) |

Set the "min" field.

## operator=() [1/2]

range_options & mongocxx::v1::range_options::operator= | ( | range_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

range_options & mongocxx::v1::range_options::operator= | ( | range_options const & | other | ) |

Copy assignment.

## precision() [1/2]

bsoncxx::v1::stdx::optional< std::int32_t > mongocxx::v1::range_options::precision | ( |  | ) | const

Return the current "precision" field.

## precision() [2/2]

range_options & mongocxx::v1::range_options::precision | ( | std::int32_t | v | ) |

Set the "precision" field.

## sparsity() [1/2]

bsoncxx::v1::stdx::optional< std::int64_t > mongocxx::v1::range_options::sparsity | ( |  | ) | const

Return the current "sparsity" field.

## sparsity() [2/2]

range_options & mongocxx::v1::range_options::sparsity | ( | std::int64_t | v | ) |

Set the "sparsity" field.

## trim_factor() [1/2]

bsoncxx::v1::stdx::optional< std::int32_t > mongocxx::v1::range_options::trim_factor | ( |  | ) | const

Return the current "trimFactor" field.

## trim_factor() [2/2]

range_options & mongocxx::v1::range_options::trim_factor | ( | std::int32_t | v | ) |

Set the "trimFactor" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/range_options.hpp